org.eclnt.jsfserver.bufferedcontent

## Class BufferedContentServlet

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.util.CCServletBaseWithContextMgmt
      - - org.eclnt.jsfserver.bufferedcontent.BufferedContentServlet

- All Implemented Interfaces:
    ICCServerConstants

      public class BufferedContentServlet
      extends CCServletBaseWithContextMgmt

  Servlet that allows to access buffered content instances via URL. The URL needs to contain the key of the buffered content, so that it can be resolved via the session context.

- - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.util.ICCServerConstants

      `CLIENTJAVATYPE_FX, CLIENTJAVATYPE_SWING, CLIENTTYPE_APPLET, CLIENTTYPE_APPLICATION, CLIENTTYPE_BROWSER, CLIENTTYPE_RISC, CLIENTTYPE_UI5, CLIENTTYPE_WEBSTART, FOCUSSEQUENCE_FIX_PREFIX, QP_SUBPAGEID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedContentServlet()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addBrowserFileNameToHttpResponse(HttpServletResponse resp, java.lang.String bfn)`
    `protected void` | `processRequest(HttpServletRequest req, HttpServletResponse resp)`
    `static java.lang.String` | `readBufferIdFromURI(java.lang.String uri)`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBaseWithContextMgmt

      `doGet, doPost, init`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `checkIfToInitializeCCEnvironment, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedContentServlet

          public BufferedContentServlet()

  - ### Method Detail

    - #### processRequest

          protected void processRequest(HttpServletRequest req,
                                        HttpServletResponse resp)
                                 throws ServletException,
                                        java.io.IOException

      Specified by:
        `processRequest` in class `CCServletBaseWithContextMgmt`
      Throws:
        `ServletException`
        `java.io.IOException`

    - #### readBufferIdFromURI

          public static java.lang.String readBufferIdFromURI(java.lang.String uri)

    - #### addBrowserFileNameToHttpResponse

          protected void addBrowserFileNameToHttpResponse(HttpServletResponse resp,
                                                          java.lang.String bfn)

Copyright © CaptainCasa Gmbh. All Rights Reserved.